<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <link rel="icon" type="image/svg+xml" href="/vite.svg" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Deliveries page</title>
  </head>
  <body>

    <aside class="mocked-sidebar">sidebar</aside>
    <nav class="mocked-navbar">navbar</nav>

    <main id="main" class="container">
      <section class="deliveries">

        <header class="deliveries-header">
          <h1 class="deliveries-header__title">Shipping Details</h1>

          <section class="deliveries-header-actions">
            <button class="deliveries-header-actions__btn cancel">
              Cancel order
            </button>
            <button class="deliveries-header-actions__btn edit">
              Edit order
            </button>
          </section>
        </header>

        <main class="deliveries-main">
          <section class="deliveries-info">
            <section class="deliveries-info-status">
              <div class="deliveries-info-status-item finished">
                <div class="deliveries-info-status-item__icon new"></div>
                <span class="deliveries-info-status-item__title">New order</span>
              </div>
              <div class="deliveries-info-status-item__separator"></div>
              <div class="deliveries-info-status-item pending">
                <div class="deliveries-info-status-item__icon packed"></div>
                <span class="deliveries-info-status-item__title">Packed</span>
              </div>
              <div class="deliveries-info-status-item__separator"></div>
              <div class="deliveries-info-status-item">
                <div class="deliveries-info-status-item__icon confirming"></div>
                <span class="deliveries-info-status-item__title">
                  Rider confirming
                </span>
              </div>
              <div class="deliveries-info-status-item__separator"></div>
              <div class="deliveries-info-status-item">
                <div class="deliveries-info-status-item__icon confirmed"></div>
                <span class="deliveries-info-status-item__title">
                  Rider confirmed
                </span>
              </div>
              <div class="deliveries-info-status-item__separator"></div>
              <div class="deliveries-info-status-item">
                <div class="deliveries-info-status-item__icon out-of-delivery"></div>
                <span class="deliveries-info-status-item__title">
                  Out of delivery
                </span>
              </div>
              <div class="deliveries-info-status-item__separator"></div>
              <div class="deliveries-info-status-item">
                <div class="deliveries-info-status-item__icon delivered"></div>
                <span class="deliveries-info-status-item__title">
                  Delivered
                </span>
              </div>
            </section>
            <section class="deliveries-info-rv">
              <section class="deliveries-info-rv-item">
                <img
                  src="/img/clock.svg"
                  alt="clock"
                  class="deliveries-info-rv-item__img"
                >
                <section class="deliveries-info-rv-item-info">
                  <span class="deliveries-info-rv-item-info__title">Rider</span>
                  <p class="deliveries-info-rv-item-info__hint">Finding a rider</p>
                </section>
              </section>
              <section class="deliveries-info-rv-item">
                <img
                  src="/img/clock.svg"
                  alt="clock"
                  class="deliveries-info-rv-item__img"
                >
                <section class="deliveries-info-rv-item-info">
                  <span class="deliveries-info-rv-item-info__title">Delivery type</span>
                  <p class="deliveries-info-rv-item-info__hint">Finding a delivery type</p>
                </section>
              </section>
            </section>
            <section class="deliveries-info-overview">
              <h2 class="deliveries-info-overview__title">Overview</h2>

              <section class="deliveries-info-overview-blocks">
                <section class="info-block deliveries-info-overview-blocks-block">
                  <span class="info-block__title deliveries-info-overview-blocks-block__title">Hornbach ref:</span>
                  <span class="info-block__value deliveries-info-overview-blocks-block__value">738832</span>
                </section>
                <section class="info-block deliveries-info-overview-blocks-block">
                  <span class="info-block__title deliveries-info-overview-blocks-block__title">Delivery no:</span>
                  <span class="info-block__value deliveries-info-overview-blocks-block__value">#378337</span>
                </section>
                <section class="info-block deliveries-info-overview-blocks-block">
                  <span class="info-block__title deliveries-info-overview-blocks-block__title">Customer:</span>
                  <div class="info-block__value deliveries-info-overview-blocks-block__value">John Doe<span class="vertical-hr">|</span>0611140167</div>
                </section>
              </section>
            </section>
            <section class="deliveries-info-details">
              <h2 class="deliveries-info-details__title">Delivery details</h2>
              <section class="deliveries-info-details-address">
                <section class="deliveries-info-details-address-item">
                  <img
                    src="/img/address-point-icon.svg"
                    alt="from address"
                    class="deliveries-info-details-address-item__icon"
                  >
                  <span class="deliveries-info-details-address-item__value">
                    Berchvliet 14, Amsterdam, 1046CA
                  </span>
                </section>
                <div class="deliveries-info-details-address__destination-line"></div>
                <section class="deliveries-info-details-address-item">
                  <img
                    src="/img/address-point-icon.svg"
                    alt="to address"
                    class="deliveries-info-details-address-item__icon"
                  >
                  <span class="deliveries-info-details-address-item__value">
                    Overtoom 100, Amsterdam, 1054 HN
                  </span>
                </section>
              </section>
              <section class="deliveries-info-details-blocks">
                <section class="info-block deliveries-info-details-blocks-block">
                  <span class="info-block__title deliveries-info-details-blocks-block__title">Delivery expected by:</span>
                  <span class="info-block__value deliveries-info-details-blocks-block__value">Today 00:00</span>
                </section>
                <section class="info-block deliveries-info-details-blocks-block">
                  <span class="info-block__title deliveries-info-details-blocks-block__title">Costs:</span>
                  <span class="info-block__value deliveries-info-details-blocks-block__value">€65</span>
                </section>
              </section>
            </section>
            <section class="deliveries-info-order">
              <h2 class="deliveries-info-order__title">Order details</h2>
              <section class="deliveries-info-order-blocks">
                <section class="info-block deliveries-info-order-blocks-block">
                  <span class="info-block__title deliveries-info-order-blocks-block__title">Description:</span>
                  <span class="info-block__value deliveries-info-order-blocks-block__value">We are seeking a team of skilled developers to create a cutting-edge 3D visualization tool that enables users to generate 3D models using text prompts.</span>
                </section>
                <section class="info-block deliveries-info-order-blocks-block">
                  <span class="info-block__title deliveries-info-order-blocks-block__title">Other notes:</span>
                  <span class="info-block__value deliveries-info-order-blocks-block__value">Develop an intuitive and user-friendly interface for inputting text prompts and displaying generated 3D models.</span>
                </section>
              </section>
            </section>
          </section>

          <section class="deliveries-map"></section>
        </main>
      </section>
    </main>

    <script type="module" src="/main.js"></script>
  </body>
</html>
